.event-showcase-section{
    margin: 0 auto;
    max-width: 1920px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 80px;
    padding: 140px 100px;

    border-top: 2px solid;
    border-image-source: radial-gradient(47.79% 104.84% at 50% 50%, #056CF2 0%, #000B24 100%);
    border-image-slice: 2;
}

.event-showcase-section .main-h2{
    text-align: center;
    color: var(--n-white);
}

.event-showcase-items{
    display: grid;
    width: 100%;
    column-gap: 24px;
    row-gap: 24px;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: auto auto;
}

.event-showcase-main-item{
    grid-column: 1 / -1;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    border-radius: 20px;
    overflow: hidden;
    height: 480px;
    padding: 40px;

    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.event-showcase-main-item>p{
    max-width: 480px;
}

.event-showcase-item{
    display: flex;
    flex-direction: column;
    align-items: start;
    border-radius: 20px;
    padding: 32px;
    background: var(--d-dark-80);
    height: auto;
    backdrop-filter: blur(3.5px);
}

.event-showcase-item img,
.event-showcase-main-item img{
    width: 40px;
    height: 40px;
}

.event-showcase-item .main-h4-semibold,
.event-showcase-main-item .main-h4-semibold{
    display: inline-block;
    color: var(--d-white);
    margin-top: 24px;
    margin-bottom: 12px;
}

.event-showcase-item .main-text-medium,
.event-showcase-main-item .main-text-medium{
    color: var(--d-grey);
}

@media screen and (max-width: 1919px) {
    .event-showcase-section{
        gap: 60px;
        padding: 100px 80px;
    }

    .event-showcase-main-item{
        height: 400px;
    }
}

@media screen and (max-width: 1439px) {
    .event-showcase-section{
        gap: 48px;
        padding: 80px 60px;
    }

    .event-showcase-items{
        column-gap: 16px;
        row-gap: 16px;
    }

    .event-showcase-main-item{
        height: 360px;
        padding: 24px;
    }

    .event-showcase-main-item>p{
        max-width: 400px;
    }

    .event-showcase-item{
        border-radius: 16px;
        padding: 24px;
    }

    .event-showcase-item img,
    .event-showcase-main-item img{
        width: 32px;
        height: 32px;
    }

    .event-showcase-item .main-h4-semibold,
    .event-showcase-main-item .main-h4-semibold{
        margin-top: 16px;
        margin-bottom: 10px;
    }
}

@media screen and (max-width: 1079px) {
    .event-showcase-section{
        padding: 80px 40px;
    }

    .event-showcase-items{
        grid-template-columns: 1fr;
        grid-template-rows: auto auto auto auto;
    }

    .event-showcase-item .main-h4-semibold,
    .event-showcase-main-item .main-h4-semibold{
        margin-top: 0px;
    }

    .event-showcase-item img,
    .event-showcase-main-item img{
        display: none;
    }

    .event-showcase-main-item{
        height: 420px;
        padding: 24px;
        justify-content: end;
    }

    .event-showcase-main-item>p{
        max-width: unset;
    }
}

@media screen and (max-width: 577px) {
    .event-showcase-section{
        gap: 40px;
        padding: 60px 16px;
    }

    .event-showcase-item{
        padding: 20px;
    }

    .event-showcase-main-item{
        border-radius: 16px;
        height: auto;
        padding: 280px 20px 20px;
    }
}